﻿using Castle.Windsor;
using Castle.Windsor.MsDependencyInjection;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Text;

namespace ConsoleTestRuntimeArchitectureChanges.Castle
{
    public class CastleServiceResolver
    {
        private static WindsorContainer container = new WindsorContainer();
        private readonly IServiceProvider serviceProvider;
        public CastleServiceResolver(IServiceCollection services)
        {
            serviceProvider = WindsorRegistrationHelper.CreateServiceProvider(container, services);
        }

        public IServiceProvider GetServiceProvider()
        {
            return serviceProvider;
        }
        public WindsorContainer GetWindsor()
        {
            return container;
        }
    }
}
