﻿using System;
using System.Diagnostics;
using System.Text.RegularExpressions;

namespace ConsoleTestRegex
{
    // taken from : https://blogs.msdn.microsoft.com/bclteam/2005/02/10/regex-hangs-with-my-expression-david-gutierrez/
    class Program
    {
        static void Main(string[] args)
        {
            Regex slowRegex = new Regex("([a-z]+)*=");

            string searchString = @"klhsaflkasdasdasdasdasdadasdasdasdasdasdadad";

            for (int i = 1; i < searchString.Length; i++)
            {
                var sw = Stopwatch.StartNew();

                Match m = slowRegex.Match(searchString.Substring(0, i));

                Console.WriteLine(i + "\t" + sw.Elapsed + "\t" + m.Success);
            }

            Console.ReadKey();
        }
    }
}
